Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList:

[legend]
Collaboration diagram for RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_RTCORBA_ProtocolList (void)
| _TAO_Unbounded_Sequence_RTCORBA_ProtocolList (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_RTCORBA_ProtocolList (CORBA::ULong maximum, CORBA::ULong length, Protocol *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_RTCORBA_ProtocolList (const _TAO_Unbounded_Sequence_RTCORBA_ProtocolList &rhs)
_TAO_Unbounded_Sequence_RTCORBA_ProtocolList & | operator= (const _TAO_Unbounded_Sequence_RTCORBA_ProtocolList &rhs)
virtual | ~_TAO_Unbounded_Sequence_RTCORBA_ProtocolList (void)
Protocol & | operator[] (CORBA::ULong i)
const Protocol & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
Protocol * | get_buffer (CORBA::Boolean orphan=0)
const Protocol * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, Protocol *data, CORBA::Boolean release)
## Static Public Methods
Protocol * | allocbuf (CORBA::ULong size)
void | freebuf (Protocol *buffer)

## Constructor & Destructor Documentation

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList | ( | void |  | ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList | ( | CORBA::ULong | maximum | ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | Protocol * | data,
|  | CORBA::Boolean | release = 0
| ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList | ( | const _TAO_Unbounded_Sequence_RTCORBA_ProtocolList & | rhs | ) |

virtual RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::~_TAO_Unbounded_Sequence_RTCORBA_ProtocolList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

virtual void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

Protocol* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::freebuf | ( | Protocol * | buffer | ) | `[static]`

const Protocol* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::get_buffer | ( | void |  | ) | const

Protocol* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_RTCORBA_ProtocolList& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::operator= | ( | const _TAO_Unbounded_Sequence_RTCORBA_ProtocolList & | rhs | ) |

const Protocol& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::operator[] | ( | CORBA::ULong | i | ) | const

Protocol& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::operator[] | ( | CORBA::ULong | i | ) |

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_ProtocolList::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | Protocol * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following file:

- RTCORBAC.h